<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();
require_once('lib/gettext/gettext.inc');
include_once('inc/config.inc.php');
include_once('inc/func.inc.php');
include_once('inc/func_log.inc.php');
Archivelog(valsession('code_log'));
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Problème Téléchargement Détourné'); ?></title>

    <?php include_once('header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<table width="50%" height="300" border="0" cellspacing="0" cellpadding="0" align="center">
    <tr>
        <td valign="top" align="center">
            <p><img src="img/logo.gif" alt="logo SMI"></p>

            <p class="titrepageerr"><?php echo _('PROBLEME DE TELECHARGEMENT'); ?></p>

            <p class="annot_std_it"><?php echo _('Tentative de téléchargement direct'); ?></p>
            <br/>
        </td>
    </tr>
    <tr>
        <td valign="top" align="center">
            <p class="annot_std_gras"><?php echo _('Vous avez essayé de détourner une URL pour téléharger un fichier sans passer par le menu prévu.'); ?></p>
            <br/>

            <p class="annot_std_gras"><?php echo _("La tentative a été loggée...merci d'utiliser la procédure normale"); ?></p>
            <br/>
        </td>
    </tr>
    <tr>
        <td valign="top" align="center">
            <a href='index.php'><?php echo _('Retour accueil'); ?></a>
        </td>
    </tr>
</table>

</body>
</html>