<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/fic_age.inc.php');
include_once('../inc/fic_cli.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_fici.inc.php');
include_once('../inc/fic_txt.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_fic.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_mail.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/func_txtcm.inc.php');
include_once('../classes/phpmailer/class.phpmailer.php');
include_once('../classes/phpmailer/class.smtp.php');
include_once('../inc/mail.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$ndir = valpost('ndir');
if ($ndir <> '') {
    $dir = strtolower(valpost('dir'));
    if ((substr($dir, 0, 1) <> '.') AND (substr($dir, 0, 2) <> '..')) // Contrôle de hack
    {
        $nouv_dir = str_upload($ndir);
        if (preg_match("/^[a-z0-9_]+$/", $nouv_dir)) {
            if (trim(valpost('dir')) <> '') {
                $chemin_complet = $url_gfc . '/' . valpost('dir') . '/' . $nouv_dir;
            } else {
                $chemin_complet = $url_gfc . '/' . $nouv_dir;
            }

            if (!@mkdir($chemin_complet, 0755) && !is_dir($chemin_complet)) {
                $codeuser = valsession('code_log');

                $desc = $_POST['desc'];
                $detail = $_POST['detail'];
                $prive = 0;
                if ($_POST['prive'] == 'y') {
                    $prive = 1;
                }

                $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
                $rech = 'INSERT INTO `' . TBFIC . '`';
                $rech .= ' (fic_nom,fic_type,fic_desc,fic_detail,fic_prive,fic_datecrea,fic_codecrea,fic_nbtel) VALUES';
                $rech .= " ('$chemin_complet','0','" . $db->escape($desc) . "','" . $db->escape($detail) . "','$prive','$datea','$codeuser','')";
                $db->query($rech);
                close_database();

                // Envoi d'email vers l'administrateur
                envoi_mailwm($chemin_complet, _('Création de répertoire'), 'dir', 'cre', 'xxx', 'wm', $chemin_complet, '', '', FALSE);

                $msg = _('Répertoire créé');
            } else {
                $msg = _('Impossible de créer le répertoire');
            }

        } else {
            $msg = _('Nom de répertoire incorrect');
        }
    } else {
        $msg = _('Nom de répertoire incorrect');
    }
} else {
    $msg = _('Nom de répertoire incorrect');
}
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Création répertoire'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "');";}
            else
                {echo "pop_txt('" . str_escape($msg) . "');";}
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>
<?php
cre_ent_form(_('CREATION DE REPERTOIRE'), '', '', '', FALSE);
close_fen_auto('', 'fscomp', 'window.opener.');
?>

</body>
</html>
