<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_ret.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$td = $_GET['td'];
$npays = (int)$_GET['npays'];
$tx = valget('tx'); // Source de l'appel (tx="f" -> depuis une fiche)

$pbm_pays = FALSE;

if ($npays > 0) {
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
    $rpays = 'SELECT * FROM `' . TBPAYS . "` WHERE `pays_id`='" . $npays . "'";
    $rowpays = $db->get_row($rpays, ARRAY_A);
    if ($rowpays) {
        $rowpays = encode_str($rowpays);
        extract($rowpays);
    } else {
        $pbm_pays = TRUE;
    }
    close_database();
} else {
    if ($td <> 'add') {
        $pbm_pays = TRUE;
    }
}

$titre = '';
switch ($td) {
    case 'add' :
        $titre = _('CREATION PAYS');
        $pays_lng = str_majuscules($_SESSION['lng']);
        break;
    case 'edit' :
        $titre = _('MODIFICATION PAYS');
        break;
    case 'del' :
        $titre = _('SUPPRESSION PAYS');
        break;
    default :
        $pbm_pays = TRUE;
        break;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo('Fiche Pays'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script language="javascript">
        <!--
        var tab_champ = ["nom:code ; format:txt ; req:Y ; txt:<?php echo _('Code'); ?> ; lmx:30; stok:frmok ; stbad:frmbad",
            "nom:nom ; format:txt ; req:Y ; txt:<?php echo _('Nom'); ?> ; lmx:50; stok:frmok ; stbad:frmbad",
            "nom:codeadev ; format:liste ; req:Y ; txt:<?php echo _('Devise'); ?> ; vmn:1; stok:frmok ; stbad:frmbad"];
        //-->
    </script>

    <script type="text/javascript">
        <!--
        $(function () {
            $("#code").Setcase({caseValue: 'upper', changeonFocusout: true});
            $("#nom").Setcase({caseValue: 'upper', changeonFocusout: true});
        });

        function init_all() {
            init_Body();
            <?php
            switch ($td)
            {
                case 'add' :
                    echo "init_valid_form('enr','pays_maj','".valsession('date_fmtshort')."',tab_champ,'','');";
                    break;
                case 'edit' :
                    echo "init_valid_form('enr','pays_maj','".valsession('date_fmtshort')."',tab_champ,'','');";
                    echo "readonly_id('code',false);";
                    // echo "readonly_id('code-lng',false);";
                    break;
                case 'view' :
                    echo 'readonly_all();';
                    break;
                case 'del' :
                    echo 'readonly_all();';
                    echo "warn_del('');";
                    break;
            }
            ?>
            add_func_click('quit', 'sclose', 'fscomp');
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>
</head>

<body>

<?php
if ($tx <> 'f') {
    include_once('../inc/entete.inc.php');
}
if ($pbm_pays == FALSE) {
    cre_ent_form($titre, 'pays_lst.php', $_SERVER['HTTP_REFERER'], '');
    ?>
    <form id="pays_maj" name="pays_maj" method="post" action="pays_enr.php">
        <input name="titre" type="hidden" id="titre" value="<?php echo $titre ?>">
        <input name="td" type="hidden" id="td" value="<?php echo $td ?>">
        <input name="tx" type="hidden" id="tx" value="<?php echo $tx ?>">
        <input name="nbutton" type="hidden" id="nbutton" value="">
        <table width="100%" border="0">
            <tr>
                <td width="10%" class="rubfrm" id="f_code" align="right"><?php echo _('Code'); ?></td>
                <td width="43%">
                    <input name="code" type="text" id="code" value="<?php echo $pays_code ?>" size="30">
                    <?php if ($td == 'add') {
                        echo ' <img src="../img/oblig.png" align="absmiddle" alt="' . _('Champ obligatoire') . '">';
                    }
                    ?>
                </td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_nom" align="right"><?php echo _('Nom'); ?></td>
                <td><input name="nom" type="text" id="nom" value="<?php echo $pays_nom ?>" size="50">
                    <img src="../img/oblig.png" align="absmiddle" alt="<?php echo _('Champ obligatoire'); ?>"></td>
            </tr>
            <tr>
                <td class="rubfrm" id="f_codeadev" align="right"><?php echo _('Devise'); ?></td>
                <td>
                    <?php
                    // Création de la liste des devises
                    $rows = give_rows_devises();
                    cre_select_tab('codeadev', 'codeadev', $rows, 'dev_codea', 'dev_nom', '', $pays_codeadev, '', _('-- Faites votre choix --'));
                    ?>
                </td>
            </tr>
            <tr>
                <td width="160" class="rubfrm" id="f_lng" align="right"><?php echo _('Langue'); ?></td>
                <td>
                    <?php
                    cre_select('lng', 'lng', $tab_lngdisp, strtolower($pays_lng));
                    ?>
                </td>
            </tr>
        </table>
        <p align="center">
            <?php
            switch ($td) {
                case 'add' :
                case 'edit' :
                    echo '<input name="enr" type="button" class="bton_std" id="enr" value="' . _('Valider') . '">';
                    break;
                case 'del' :
                    echo '<input name="del" type="submit" class="bton_std" id="del" value="' . _('Supprimer') . '">';
                    break;
            }
            echo '<input name="RAZ" type="reset" class="bton_std" id="RAZ" value="' . _('Réinitialiser') . '">';
            if ($tx == 'f') {
                echo '<input name="quit" type="button" class="bton_std" id="quit" value="' . _('Quitter') . '">';
            }
            ?>
        </p>
    </form>
    <?php
} else {
    if ($tx == 'r') {
        close_fen_auto('', 'fscomp');
    } else {
        pop_ret_auto(_('Problème de paramètres'), 'warn', 'index.php');
    }
}
if ($tx <> 'f') {
    include_once('pied.php');
}
?>
</body>
</html>
