<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_mque.inc.php');
include_once('../inc/fic_ret.inc.php');
include_once('../inc/lst.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$fi = '';
if (isset($_GET['fi']) && (trim($_GET['fi']) <> '')) {
    $fi = (int)$_GET['fi'];
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>

    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Impression Liste Demandes de Retours'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            warn_print(1);
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>


</head>

<body>
<?php
entimplst(_('LISTE DES DEMANDES DE RETOURS'));

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');

$rech = cree_strrechlstretd();
if (CheckNivLog('4')) {
    if (!stristr($rech, 'WHERE ')) {
        $rech .= ' WHERE ' . TBRETP . ".retp_codeage='" . valsession('code_age') . "'";
    } else {
        $rech .= ' AND ' . TBRETP . ".retp_codeage='" . valsession('code_age') . "'";
    }
}
switch ($fi) {
    case '1' :
        if (!stristr($rech, 'WHERE ')) {
            $rech .= " WHERE retd_daterep='0000-00-00'";
        } else {
            $rech .= " AND retd_daterep='0000-00-00'";
        }
        break;
    default :
        break;
}
$rech .= crestr_triord($retd_titre_col, 'retd_coderetp', FALSE, $limit);
$rows = $db->get_results($rech, ARRAY_A);

// *** Affichage de la table
echo '<table class="MItable" border="0" width="100%" cellpadding="0" cellspacing="0">';

// création entête
titimplst($retd_titre_col);

foreach ($rows as $row) {
    $row = encode_str($row);
    echo '<tr>';

    echo '<td align="center">';
    echo datetolocal($row['retd_datedde']);
    echo '</td>';
    echo '<td>';
    echo $row['retd_coderetp'];
    $row2 = lit_enr_retr($row['retd_coderetp'], FALSE);
    if (is_array($row2)) {
        $row2 = encode_str($row2);
        if ($row2['retr_clos'] == 1) {
            $lst_retps = TRUE;
            echo ' <img src="../img/ok.png" border="0" align="absmiddle">';
        }
    }
    $row2 = lit_enr_mque($row['retd_codemque'], FALSE);
    if (is_array($row2)) {
        $row2 = encode_str($row2);
        echo '<span class="annot_petit_it">';
        echo '<br /> ->' . $row2['mque_ste'];
        echo '</span>';
    }
    $row2 = lit_enr_retp($row['retd_coderetp'], FALSE);
    if (is_array($row2)) {
        $row2 = encode_str($row2);
        echo '<span class="annot_petit_it">';
        echo '<br /> ->' . $row2['retp_des'] . ' (' . $row2['retp_ns'] . ')';
        echo '</span>';
    }
    echo '</td>';
    echo '<td align="center">';
    echo datetolocal($row['retd_daterep']);
    echo '</td>';
    echo '<td align="center">';
    echo '<span class="annot_std_gras">';
    echo $row['retd_rma'];
    echo '</span>';
    echo '</td>';
    echo '<td align="center">';
    if ($row['retp_codeenv'] <> '') {
        echo $row['retp_codeenv'];
        if (envoi_clos($row['retp_codeenv'], FALSE) == TRUE) {
            $lst_env = TRUE;
            echo ' <img src="../img/ok.png" border="0" align="absmiddle">';
        }
    } else {
        echo '-';
    }
    echo '</td>';

    echo '</tr>';

}
echo '</table>';
// *** Fin affichage de la table

close_database();
?>
</body>
</html>