<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

?>
    $.datepicker.setDefaults({
        closeText: "<?php echo _('Fermer'); ?>",
        prevText: "<?php echo _('Précédent'); ?>",
        nextText: "<?php echo _('Suivant'); ?>",
        currentText: "<?php echo _("Aujourd'hui"); ?>",
        monthNames: ["<?php echo implode('","',$lng_tmoisf); ?>"],
        monthNamesShort: ["<?php echo implode('","',$lng_tmoism); ?>"],
        dayNames: ["<?php echo implode('","',$lng_tjourf); ?>"],
        dayNamesShort: ["<?php echo implode('","',$lng_tjourm); ?>"],
        dayNamesMin: ["<?php echo implode('","',$lng_tjours); ?>"],
        weekHeader: "<?php echo _('Sem.'); ?>",
        dateFormat: "<?php echo valsession('date_fmtshort'); ?>",
        firstDay: 1,
        isRTL: !1,
        changeMonth: true,
        changeYear: true,
        showMonthAfterYear: !1,
        yearSuffix: '',
        showButtonPanel: true,
        showOn: "both",
        buttonImageOnly: true,
        buttonImage: "../img/calendar.png",
        buttonText: "<?php echo _('Calendrier'); ?>",
        showAnim: "fadeIn"
    });
