<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

session_start();

require_once('../lib/gettext/gettext.inc');
include_once('../inc/config.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_log.inc.php');
if (CheckURLLog(FALSE) == FALSE) {
    header('Location: ../index.php');
}
if (CheckNivLog('2') == FALSE) {
    header('Location: ../index.php');
}
include_once('../inc/fic_fici.inc.php');
Archivelog(valsession('code_log'));
$pbm_conf = FALSE;
if (!exist_logo('cge')) {
    $pbm_conf = TRUE;
}
if (!exist_logo_allage()) {
    $pbm_conf = TRUE;
}
if (!existe_cdg()) {
    $pbm_conf = TRUE;
}
if ($pbm_conf == FALSE)
{
    include_once('../inc/cli_lst.inc.php');
}
else
{
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : Index Client</title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>

<p align="center"><span class="titrepageerr"><?php echo _('PROBLEME DE CONFIGURATION'); ?></span></p>

<p>&nbsp;</p>

<p>&nbsp;</p>
<?php
pop_ret_auto(_("SMI n'a pas encore été totalement configuré pour votre compte") . '<br />' . _("Merci de contacter l'administrateur ou le centre de gestion"), 'warn', 'index.php');
}
?>
</body>
</html>