<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/

// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/fic_age.inc.php');
include_once('../inc/fic_cli.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_GET = clean_str($_GET);

$cc = valget('cc'); // Récupération code Client

$notes_ok = TRUE;

if ($cc <> '') {
    // Récupération des informations client
    $row = lit_enr_cli($cc, TRUE);
    if (is_array($row)) {
        $row = encode_str($row);
        extract($row);

        if (valsession('niv_log') >= 3) {
            if (client_age_ok($cli_code, valsession('code_age'), TRUE) == FALSE) {
                $notes_ok = TRUE;
            }
        } else {
            $notes_ok = FALSE;
        }
    } else {
        $notes_ok = FALSE;
    }
} else {
    $notes_ok = FALSE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Notes client'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            add_func_click('ferm', 'sclose', '');
            readonly_all();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>

<body>
<?php
if ($notes_ok == TRUE) {
    cre_ent_form(_('NOTES CLIENTS'));
    if ($cli_ste <> '') {
        $txt_cli = $cli_ste . ', ' . $cli_civilite . ' ' . $cli_prenom . ' ' . $cli_nom;
    } else {
        $txt_cli = $cli_civilite . ' ' . $cli_prenom . ' ' . $cli_nom;
    }
    ?>
    <p align="center"><span class="titre_gras"><?php echo $txt_cli; ?></span></p>

    <?php
    if (CheckNivLog('5-9')) {
        ?>
        <!-- Notes Administration -->
        <table width="100%" border="0">
            <tr>
                <td width="200" class="rubfrm" id="f_notesa" align="right"><?php echo _('Notes Administration'); ?></td>
                <td>
                    <textarea name="notaa" rows="5" id="notaa"><?php echo $cli_notaa; ?></textarea>
                </td>
            </tr>
        </table>
        <?php
    }

    if (valsession('niv_log') >= 3) {
        ?>
        <br/>
        <!-- Notes Techniques -->
        <table width="100%" border="0">
            <tr>
                <td width="200" class="rubfrm" id="f_notesa" align="right"><?php echo _('Notes Techniciens'); ?></td>
                <td>
                    <textarea name="notaa" rows="5" id="notat"><?php echo $cli_notat ?></textarea>
                </td>
            </tr>
        </table>
        <?php
    }
    ?>

    <br/>

    <!-- bouton de fermeture de la fenêtre -->
    <div align="center">
        <input name="ferm" type="button" class="bton_std" id="ferm" value="<?php echo _('Fermer la fenêtre'); ?>">
    </div>
    <?php
} else {
    close_fen_auto('', '', '');
}
?>
</body>
</html>
