<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/fic_age.inc.php');
include_once('../inc/fic_hum.inc.php');
include_once('../inc/fic_cli.inc.php');
include_once('../inc/fic_co.inc.php');
include_once('../inc/fic_cocl.inc.php');
include_once('../inc/fic_do.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_txt.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_time.inc.php');
include_once('../inc/func_fic.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_mail.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/func_txtcm.inc.php');
include_once('../classes/phpmailer/class.phpmailer.php');
include_once('../classes/phpmailer/class.smtp.php');
include_once('../inc/mail.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$codecocl = (int)valpost('codecocl');

$codeuser = valsession('code_log');

$retourliste = TRUE;

if ($codecocl <> '') {
    // MAJ de la fiche annexe contrat client
    $db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
    $rech = 'SELECT * FROM `' . TBCOCLA . "` WHERE `cocla_id` =  '" . $db->escape($codecocl) . "'";

    $row = $db->get_row($rech, ARRAY_A);

    if ($row) {
        extract($row);

        // On incrémente le nombre de relances
        $cocla_nivrel++;

        $upd = 'UPDATE `' . TBCOCLA;
        $upd .= "` SET `cocla_datemod`='" . $datea . "', `cocla_codemod`='" . $codeuser . "', `cocla_daterel`='" . $datea . "', `cocla_nivrel`='" . $cocl_nivrel . "'";
        $upd .= " WHERE `cocla_id` = '" . $db->escape($codecocl) . "'";
        $db->query($upd);

        $msg = _('Relance annexe contrat') . ' ' . $cocla_codecocl . '-' . $cocla_code . ' ' . _('effectuée');
    } else {
        $msg = _('Annexe contrat inconnue');
        $retourliste = FALSE;
    }
    close_database();
} else {
    $msg = _('Annexe contrat inconnue');
    $retourliste = FALSE;
}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Relance annexe contrat'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            <?php
            if ($retourliste == FALSE)
                {echo "warn_txt('" . str_escape($msg) . "');";}
            ?>
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once('../inc/entete.inc.php');
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    aff_ret_idx_man($td, 'coclrela_maj.php', _('Retour à la saisie'), FALSE);
} else {
    // Envoi d'email vers le client
    // envoi_mail('',"Relance sur une de vos annexes contrats",'con','rel','xxx','cli',$codecocl,"","",TRUE);
    pop_ret_auto($msg, 'ok', 'coclrela_maj.php');
}
include_once('pied.php');
?>
</body>
</html>