<?php
/****************************************************************************************
 * SMI (Services Maintenance Interventions) est une gestion libre de maintenance et de SAV
 *
 * Version 1.0.4
 *
 * Copyright (C) 2006-2016  Sylvain FATOME
 * This program is free software; you can redistribute it and/or modify it under the terms
 * of the GNU General Public License as published by the Free Software Foundation;
 * either version 2 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 * without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along with this program
 * (in the directory docs);
 * if not, write to the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
 * Boston, MA  02110-1301, USA.
 *
 * Contact : galawa@free.fr
 *
 * Web : http://smi.no-ip.org
 ****************************************************************************************/


// vérification des tentatives de hack
$pos = strpos($_SERVER['PHP_SELF'], 'inc.php');
if ($pos !== FALSE) {
    header('Location: ../index.php');
}

include_once('../inc/config.inc.php');
include_once('../inc/func.inc.php');
include_once('../inc/func_date.inc.php');
include_once('../inc/func_geo.inc.php');
include_once('../inc/func_txt.inc.php');
include_once('../inc/fic_droits.inc.php');
include_once('../inc/fic_repl.inc.php');
include_once('../classes/ezSQL/shared/ez_sql_core.php');
include_once('../classes/ezSQL/mysqli/ez_sql_mysqli.php');
include_once('../inc/func_sql.inc.php');
Archivelog(valsession('code_log'));
// Variables Formulaire
fix_magic_quotes();
$_POST = clean_str($_POST);

$titre = valpost('titre');
$td = valpost('td');
$id = (int)valpost('id');

$typ = (int)valpost('typ');
$nom = str_majuscules(valpost('nom'));
$dbname = valpost('mysql_dbname');
$cat = str_majuscules(valpost('cat'));
$pays = str_majuscules(valpost('pays'));
$dep = str_majuscules(valpost('deptxt'));
$mrepli = (int)valpost('mrepli');
$sctact = (int)valpost('sctact');
$ssites = (int)valpost('ssites');

$codeuser = valsession('code_log');

$msg = '';
$retourliste = TRUE;

$db = open_database(DBUSER, DBPASS, DBNAME, DBHOST, 'utf8');
switch ($td) {
    // Ajout de la fiche Modèle
    case 'add' :
        $rech = 'INSERT INTO `' . TBREPLM . '`';
        $rech .= ' (replm_datecrea,replm_codecrea,replm_datemod,replm_codemod,replm_typ,replm_nom,replm_dbname,';
        $rech .= 'replm_ccat,replm_codepays,replm_dep,replm_mode,replm_sctact,replm_ssites)';
        $rech .= ' VALUES';
        $rech .= " ('$datea','$codeuser','$datea','$codeuser','$typ','" . $db->escape($nom) . "','" . $db->escape($dbname) . "',";
        $rech .= "'" . $db->escape($cat) . "','" . $db->escape($pays) . "','" . $db->escape($dep) . "','" . $db->escape($mrepli) . "',";
        $rech .= "'" . $db->escape($sctact) . "','" . $db->escape($ssites) . "')";
        $db->query($rech);

        $msg = _('Fiche ajoutée');

        break;

    // MAJ de la fiche Modèle
    case 'edit' :
        $rech = 'UPDATE `' . TBREPLM;
        $rech .= "` SET `replm_datemod`='" . $datea . "', `replm_codemod`='" . $codeuser . "',`replm_nom`='" . $db->escape($nom) . "',";
        $rech .= " `replm_dbname`='" . $db->escape($dbname) . "', `replm_ccat`='" . $db->escape($cat) . "',";
        $rech .= " `replm_codepays`='" . $db->escape($pays) . "', `replm_dep`='" . $db->escape($dep) . "', ";
        $rech .= "`replm_mode`='" . $db->escape($mrepli) . "', `replm_sctact`='" . $db->escape($sctact) . "',";
        $rech .= " `replm_ssites`='" . $db->escape($ssites) . "'";
        $rech .= " WHERE `replm_id` = '" . $id . "'";
        $db->query($rech);

        $msg = _('Fiche modifiée');

        break;

    // Suppression de la fiche Modèle
    case 'del' :
        $rech = 'DELETE FROM `' . TBREPLM . "` WHERE `replm_id` = '$id'";
        $db->query($rech);

        $msg = _('Fiche supprimée');
        break;

    default :
        break;
}
close_database();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
    <meta http-equiv="content-type" content="text/html; charset=UTF-8">
    <title>SMI - <?php echo _('ESPACE PRIVE'); ?> : <?php echo _('Fiche Modèle Réplication'); ?></title>

    <?php include_once('../inc/header.inc.php'); ?>

    <script type="text/javascript">
        <!--
        function init_all() {
            init_Body();
            Focus_first();
        }

        $(document).ready(function () {
            init_all();
        });
        //-->
    </script>

</head>
<body>

<?php include_once('../inc/entete.inc.php');
cre_ent_form($titre, '', '', '', FALSE);
if ($retourliste == FALSE) {
    exec_func_js("warn_txt('" . str_escape($msg) . "')");
    pop_ret_auto('', '', 'repl_lst.php');
} else {
    pop_ret_auto($msg, 'ok', 'repl_lst.php');
}
include_once('pied.php');
?>
</body>
</html>