#
# Table structure for table `smi_mque`
#

ALTER TABLE `smi_rlpma` CHANGE `rlpma_code` `rlpma_code` VARCHAR( 20 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL;
ALTER TABLE `smi_rlpma` DROP INDEX `rpma_code` ;
ALTER TABLE `smi_rlpma` ADD INDEX `rlpma_code` ( `rlpma_code` ) ;
ALTER TABLE `smi_rlpma` ADD INDEX `rlpma_desc` ( `rlpma_desc` ) ;
INSERT INTO `smi_rlpma` (`rlpma_id`, `rlpma_code`, `rlpma_desc`) VALUES (NULL, '*', 'Tous les �diteurs');
ALTER TABLE `smi_rlpma` ADD `rlpma_type` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_rlpma` CHANGE `rlpma_desc` `rlpma_ste` VARCHAR( 50 ) NOT NULL ;
ALTER TABLE `smi_rlpma` DROP INDEX `rlpma_desc` ;
ALTER TABLE `smi_rlpma` ADD INDEX `rlpma_ste` ( `rlpma_ste` ) ;
ALTER TABLE `smi_rlpma` ADD `rlpma_adr1` VARCHAR( 50 ) NOT NULL ;
ALTER TABLE `smi_rlpma` ADD `rlpma_adr2` VARCHAR( 50 ) NULL ;
ALTER TABLE `smi_rlpma` ADD `rlpma_dep` CHAR( 3 ) NOT NULL ;
ALTER TABLE `smi_rlpma` ADD `rlpma_ville` INT( 10 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_rlpma` ADD `rlpma_codepays` CHAR( 3 ) NOT NULL ;
ALTER TABLE `smi_rlpma` ADD `rlpma_telf` VARCHAR( 20 ) NOT NULL ;
ALTER TABLE `smi_rlpma` ADD `rlpma_fax` VARCHAR( 20 ) NULL ;
ALTER TABLE `smi_rlpma` ADD `rlpma_notaa` TEXT NULL ;
ALTER TABLE `smi_rlpma` ADD `rlpma_notat` TEXT NULL ;

RENAME TABLE `smi`.`smi_rlpma`  TO `smi`.`smi_mque` ;
ALTER TABLE `smi_mque` CHANGE `rlpma_id` `mque_id` INT(10) NOT NULL AUTO_INCREMENT ;
ALTER TABLE `smi_mque` CHANGE `rlpma_code` `mque_code`  VARCHAR(20) NOT NULL ;
ALTER TABLE `smi_mque` CHANGE `rlpma_ste` `mque_ste` VARCHAR(50)  NOT NULL ;
ALTER TABLE `smi_mque` CHANGE `rlpma_type` `mque_type` TINYINT(1) NOT NULL DEFAULT '0' ;
ALTER TABLE `smi_mque` CHANGE `rlpma_adr1` `mque_adr1` VARCHAR(50) NOT NULL ;
ALTER TABLE `smi_mque` CHANGE `rlpma_adr2` `mque_adr2` VARCHAR(50) NULL DEFAULT NULL ;
ALTER TABLE `smi_mque` CHANGE `rlpma_dep` `mque_dep` CHAR(3) NOT NULL ;
ALTER TABLE `smi_mque` CHANGE `rlpma_ville` `mque_ville` INT(10) NOT NULL DEFAULT '0';
ALTER TABLE `smi_mque` CHANGE `rlpma_codepays` `mque_codepays` CHAR(3) NOT NULL ;
ALTER TABLE `smi_mque` CHANGE `rlpma_telf` `mque_telf` VARCHAR(20) NOT NULL ;
ALTER TABLE `smi_mque` CHANGE `rlpma_fax` `mque_fax` VARCHAR(20) NULL DEFAULT NULL; 
ALTER TABLE `smi_mque` CHANGE `rlpma_notaa` `mque_notaa` TEXT NULL DEFAULT NULL ;
ALTER TABLE `smi_mque` CHANGE `rlpma_notat` `mque_notat` TEXT NULL DEFAULT NULL ;
ALTER TABLE `smi_mque` DROP INDEX `rlpma_code` ;
ALTER TABLE `smi_mque` ADD INDEX `mque_code` ( `mque_code` ) ;
ALTER TABLE `smi_mque` DROP INDEX `rlpma_ste` ;
ALTER TABLE `smi_mque`  ADD INDEX `mque_ste` ( `mque_ste` ) ;

#
# Table structure for table `smi_mquen`
#

CREATE TABLE `smi_mquen` (
  `mquen_id` int(10) NOT NULL auto_increment,
  `mquen_codemque` varchar(20) collate latin1_general_ci NOT NULL,
  `mquen_codeu` varchar(20) collate latin1_general_ci NOT NULL,
  `mquen_nota` text collate latin1_general_ci,
  PRIMARY KEY  (`mquen_id`),
  KEY `mquen_codeu` (`mquen_codeu`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ;

#
# Table structure for table `smi_rlptmta`
#

CREATE TABLE `smi_rlptmta` (
  `rlptmta_id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
  `rlptmta_code` VARCHAR( 20 ) NOT NULL ,
  `rlptmta_desc` VARCHAR( 40 ) NOT NULL ,
  KEY `rlptmta_code` (`rlptmta_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Table structure for table `smi_rlpmm`
#

CREATE TABLE `smi_rlpmmm` (
  `rlpmm_id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
  `rlpmm_code` VARCHAR( 20 ) NOT NULL ,
  `rlpmm_desc` VARCHAR( 40 ) NOT NULL ,
  KEY `rlpmm_code` (`rlpmm_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Table structure for table `smi_rlptml`
#

CREATE TABLE `smi_rlptml` (
  `rlptml_id` INT( 10 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
  `rlptml_code` VARCHAR( 20 ) NOT NULL ,
  `rlptml_desc` VARCHAR( 40 ) NOT NULL ,
  KEY `rlptml_code` (`rlptml_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

#
# Table structure for table `smi_rltl`
#

ALTER TABLE `smi_rltl` ADD `rltl_codema` VARCHAR( 20 ) NOT NULL DEFAULT '*';
ALTER TABLE `smi_rltl` ADD INDEX ( `rltl_codema` ) ;
ALTER TABLE `smi_rltl` DROP INDEX `rptl_code` ;
ALTER TABLE `smi_rltl` ADD INDEX `rltl_code` ( `rltl_code` ) ;

#
# Table structure for table `smi_rpdt`
#

ALTER TABLE `smi_rpdt` ADD `rpdt_mac` VARCHAR( 17 ) NOT NULL DEFAULT '00:00:00:00:00:00' AFTER `rpdt_mdp` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_codeta` VARCHAR( 20 ) NOT NULL AFTER `rpdt_wep` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_codel` VARCHAR( 20 ) NOT NULL AFTER `rpdt_codeta` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_tlien` VARCHAR( 40 ) NOT NULL AFTER `rpdt_codel` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_tlogin` VARCHAR( 40 ) NOT NULL AFTER `rpdt_tlien` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_tmdp` VARCHAR( 40 ) NOT NULL AFTER `rpdt_tlogin` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_codem` VARCHAR( 20 ) NOT NULL AFTER `rpdt_tmdp` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_mmode` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_codem` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_mlogin` VARCHAR( 40 ) NOT NULL AFTER `rpdt_mmode` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_mmdp` VARCHAR( 40 ) NOT NULL AFTER `rpdt_mlogin` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_mdval` DATE NOT NULL AFTER `rpdt_mmdp` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_mdlmaj` DATE NOT NULL AFTER `rpdt_mdval` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_mper` VARCHAR( 10 ) NOT NULL AFTER `rpdt_mmode` ;
ALTER TABLE `smi_rpdt` ADD INDEX ( `rpdt_idsite` ) ;
ALTER TABLE `smi_rpdt` ADD INDEX ( `rpdt_codeta` ) ;
ALTER TABLE `smi_rpdt` ADD INDEX ( `rpdt_codel` ) ;
ALTER TABLE `smi_rpdt` ADD INDEX ( `rpdt_codem` ) ;
ALTER TABLE `smi_rpdt` ADD INDEX ( `rpdt_mper` ) ;
ALTER TABLE `smi_rpdt` ADD `rpdt_npm` VARCHAR( 10 ) NULL AFTER `rpdt_pass` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_npb` VARCHAR( 10 ) NULL AFTER `rpdt_npm` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_npc` VARCHAR( 10 ) NULL AFTER `rpdt_npb` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_snmp` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_npc` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_wol` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_snmp` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_tma` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_codeta` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_tser` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_codel` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_tae` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_tmdp` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_tred` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_tae` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_mae` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_mdlmaj` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_mred` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_mae` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_modeip` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_mac` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_sdhcp` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `rpdt_modeip` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_ip1` VARCHAR( 15 ) NULL AFTER `rpdt_sdhcp` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_ip2` VARCHAR( 15 ) NULL AFTER `rpdt_ip1` ;
ALTER TABLE `smi_rpdt` ADD `rpdt_mdhcp` VARCHAR( 15 ) NULL AFTER `rpdt_ip2` ;



#
# Table structure for table `smi_rlic`
#

ALTER TABLE `smi_rlic` ADD `rlic_codeta` VARCHAR( 20 ) NOT NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_tma` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_rlic` ADD `rlic_codel` VARCHAR( 20 ) NOT NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_tser` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_rlic` ADD `rlic_tlien` VARCHAR( 40 ) NOT NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_tlogin` VARCHAR( 40 ) NOT NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_tmdp` VARCHAR( 40 ) NOT NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_tae` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_rlic` ADD `rlic_tred` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_rlic` ADD `rlic_codem` VARCHAR( 20 ) NOT NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_mmode` TINYINT( 1 ) NOT NULL DEFAULT '1';
ALTER TABLE `smi_rlic` ADD `rlic_mper` VARCHAR( 20 ) NOT NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_mlogin` VARCHAR( 40 ) NOT NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_mmdp` VARCHAR( 40 ) NOT NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_mdval` DATE NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_mdlmaj` DATE NULL ;
ALTER TABLE `smi_rlic` ADD `rlic_mae` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_rlic` ADD `rlic_mred` TINYINT( 1 ) NOT NULL DEFAULT '0';

ALTER TABLE `smi_rlic` ADD INDEX ( `rlic_codem` ) ;
ALTER TABLE `smi_rlic` ADD INDEX ( `rlic_mper` ) ;
ALTER TABLE `smi_rlic` ADD INDEX ( `rlic_codeta` ) ;
ALTER TABLE `smi_rlic` ADD INDEX ( `rlic_codel` ) ;
ALTER TABLE `smi_rlic` ADD INDEX ( `rlic_idsite` ) ;

#
# Table structure for table `smi_lieu`
#

ALTER TABLE `smi_lieu` ADD `lieu_img` VARCHAR( 200 ) NOT NULL AFTER `lieu_desc` ;

UPDATE `smi_lieu` SET `lieu_img` = '../img/site.gif' WHERE `lieu_code` = 'SITE' ;
UPDATE `smi_lieu` SET `lieu_img` = '../img/atelier.png' WHERE `lieu_code` = 'ATE' ;
UPDATE `smi_lieu` SET `lieu_img` = '../img/telm.png' WHERE `lieu_code` = 'TEL' ;

#
# Table structure for table `smi_ficlog`
#

DROP TABLE IF EXISTS `smi_ficlog`;
CREATE TABLE `smi_ficlog` (
  `ficlog_id` INT( 10 ) NOT NULL auto_increment,
  `ficlog_date` DATE NOT NULL default '0000-00-00',
  `ficlog_heure` TIME NOT NULL default '00:00:00',
  `ficlog_ip` VARCHAR( 15 ) NOT NULL ,
  `ficlog_ref` VARCHAR( 255 ) NOT NULL ,
  `ficlog_fic` VARCHAR( 255 ) NOT NULL ,
  `ficlog_type` TINYINT( 1 ) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`ficlog_id`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;


#
# Table structure for table `smi_fic`
#

ALTER TABLE `smi_fic` ADD `fic_detail` TEXT NULL AFTER `fic_desc` ;

#
# Table structure for table `smi_per`
#

ALTER TABLE `smi_cope` RENAME `smi_per` ;
ALTER TABLE `smi_per` CHANGE `cope_id` `per_id` TINYINT( 3 ) UNSIGNED NOT NULL AUTO_INCREMENT ;
ALTER TABLE `smi_per` CHANGE `cope_code` `per_code` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL ;
ALTER TABLE `smi_per` CHANGE `cope_desc` `per_desc` VARCHAR( 20 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL ;
ALTER TABLE `smi_per` CHANGE `cope_nbj` `per_nbj` SMALLINT( 3 ) NOT NULL DEFAULT '0' ;
ALTER TABLE `smi_per` ADD INDEX ( `per_code` ) ;

#
# Table structure for table `smi_cocl`
#

ALTER TABLE `smi_cocl` CHANGE `cocl_codecope` `cocl_codeper` VARCHAR( 10 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL ;
ALTER TABLE `smi_cocl` DROP INDEX `cocl_codecope` ;
ALTER TABLE `smi_cocl` ADD INDEX `cocl_codeper` ( `cocl_codeper` ) ;

#
# Table structure for table `smi_cnx`
#

CREATE TABLE `smi_cnx` (
  `cnx_id` INT( 10 ) NOT NULL AUTO_INCREMENT ,
  `cnx_codecrea` VARCHAR( 20 ) NOT NULL ,
  `cnx_datecrea` DATE NOT NULL ,
  `cnx_p1` VARCHAR( 20 ) NOT NULL ,
  `cnx_p2` VARCHAR( 20 ) NOT NULL ,
  `cnx_type` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`cnx_id`),
  KEY `cnx_p1` (`cnx_p1`),
  KEY `cnx_p2` (`cnx_p2`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Table structure for table `smi_dep`
#

ALTER TABLE `smi_dep` ADD INDEX ( `dep_num` ) ;
ALTER TABLE `smi_dep` ADD `dep_codepays` CHAR( 3 ) NOT NULL ;
ALTER TABLE `smi_dep` ADD INDEX ( `dep_codepays` ) ;
ALTER TABLE `smi_dep` CHANGE `dep_id` `dep_id` INT( 10 ) UNSIGNED NOT NULL AUTO_INCREMENT ;
ALTER TABLE `smi_dep` CHANGE `dep_num` `dep_code` CHAR( 3 ) NOT NULL ;
ALTER TABLE `smi_dep` DROP INDEX `dep_num` ;
ALTER TABLE `smi_dep` ADD INDEX `dep_code` ( `dep_code` ) ;
ALTER TABLE `smi_dep` CHANGE `dep_code` `dep_code` VARCHAR( 30 ) NOT NULL ;

#
# Table structure for table `smi_pays`
#

ALTER TABLE `smi_pays` CHANGE `pays_code2` `pays_code` CHAR( 3 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL  ;
INSERT INTO `smi`.`smi_pays` (`pays_id` ,`pays_code` ,`pays_nom`) VALUES ('' , 'AX', 'ALAND (ILES)');
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =1 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =4 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =43 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =45 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =76 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =79 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =90 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =103 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =108 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =120 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =127 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =143 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =145 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =190 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =191 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =192 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` = 194 LIMIT 1;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` = 195 LIMIT 1;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =214 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =221 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =231 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =234 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =236 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =237 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =238 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =239 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =241 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =242 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =250 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =254 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =264 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =265 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =269 LIMIT 1 ;
DELETE FROM `smi_pays` WHERE `smi_pays`.`pays_id` =271 LIMIT 1 ;
UPDATE `smi`.`smi_pays` SET `pays_code` = 'BY',`pays_nom` = 'BELARUS' WHERE `smi_pays`.`pays_id` =29 LIMIT 1 ;
UPDATE `smi`.`smi_pays` SET `pays_code` = 'MN',`pays_nom` = 'MYANMAR' WHERE `smi_pays`.`pays_id` =30 LIMIT 1 ;
UPDATE `smi`.`smi_pays` SET `pays_code` = 'KG' WHERE `smi_pays`.`pays_id` =123 LIMIT 1 ;
UPDATE `smi`.`smi_pays` SET `pays_code` = 'ME' WHERE `smi_pays`.`pays_id` =158 LIMIT 1 ;
UPDATE `smi`.`smi_pays` SET `pays_code` = 'KN',`pays_nom` = 'SAINT-KITTS-ET-NEVIS' WHERE `smi_pays`.`pays_id` =201 LIMIT 1 ;
UPDATE `smi`.`smi_pays` SET `pays_nom` = 'BURKINA FASO' WHERE `smi_pays`.`pays_id` =38 LIMIT 1 ;
UPDATE `smi`.`smi_pays` SET `pays_nom` = 'BRUNEI DARUSSALAM' WHERE `smi_pays`.`pays_id` =36 LIMIT 1 ;
UPDATE `smi`.`smi_pays` SET `pays_nom` = 'ILES VIERGES BRITANNIQUES' WHERE `smi_pays`.`pays_id` =261 LIMIT 1 ;
UPDATE `smi`.`smi_pays` SET `pays_nom` = 'ILES VIERGES DES ETATS-UNIS' WHERE `smi_pays`.`pays_id` =262 LIMIT 1 ;
INSERT INTO `smi`.`smi_pays` (`pays_id` ,`pays_code` ,`pays_nom`) VALUES (NULL , 'FK', 'FALKLAND, �LES (MALVINAS)');
INSERT INTO `smi`.`smi_pays` (`pays_id` ,`pays_code` ,`pays_nom`) VALUES (NULL , 'GG', 'GUERNESEY');
INSERT INTO `smi`.`smi_pays` (`pays_id` ,`pays_code` ,`pays_nom`) VALUES (NULL , 'IM', 'ILE DE MAN');
INSERT INTO `smi`.`smi_pays` (`pays_id` ,`pays_code` ,`pays_nom`) VALUES (NULL , 'UM', 'ILES MINEURES �LOIGN�ES DES �TATS-UNIS');
INSERT INTO `smi`.`smi_pays` (`pays_id` ,`pays_code` ,`pays_nom`) VALUES (NULL , 'JE', 'JERSEY');
INSERT INTO `smi`.`smi_pays` (`pays_id` ,`pays_code` ,`pays_nom`) VALUES ( NULL , 'MK', 'MAC�DOINE (EX-R�PUBLIQUE YOUGOSLAVE DE)');
UPDATE `smi`.`smi_pays` SET `pays_nom` = 'TIMOR-LESTE' WHERE `smi_pays`.`pays_id` =244 LIMIT 1 ;
ALTER TABLE `smi_pays` ADD INDEX ( `pays_code` ) ;

#
# Table structure for table `smi_villes`
#

ALTER TABLE `smi_villes` ADD `villes_codepays` CHAR( 3 ) NOT NULL DEFAULT 'FR';
ALTER TABLE `smi_villes` ADD INDEX ( `villes_codepays` ) ;
ALTER TABLE `smi_villes` CHANGE `villes_id` `villes_id` INT( 10 ) UNSIGNED NOT NULL AUTO_INCREMENT ;
ALTER TABLE `smi_villes` CHANGE `villes_cp` `villes_cp` VARCHAR( 10 ) NOT NULL ;

#
# Table structure for table `smi_cli`
#

ALTER TABLE `smi_cli` ADD `cli_prev` TINYINT( 1 ) NOT NULL DEFAULT '0';
ALTER TABLE `smi_cli` ADD `cli_codedo` VARCHAR( 10 ) NULL DEFAULT NULL AFTER `cli_prop` ;

#
# Table structure for table `smi_txt`
#

UPDATE `smi`.`smi_txt` SET `txt_texte` =
'<strong><font size="4">%cge_nom%</font><br />%cge_adr1%<br />%cge_adr2%<br />%cp_cge% %ville_cge%<br /></strong> Tel : %cge_telf%<br />Fax : %cge_fax%<br /><strong><br /></strong><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br /><strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br /><strong> %cli_adr1%</strong><br /><strong> %cli_adr2%</strong><br /><strong> %cp_cli% %ville_cli% </strong><br /><strong> Tel : %cli_telf%</strong><br /><strong> Fax : %cli_fax%</strong><br /></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>   <br />Bonjour,  <br /><br />C''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br /><br />Voici vos codes de connexion et mot de passe :  <br /><br />Code de connexion : <strong>%cli_code%</strong> <br />Mot de passe          : <strong>%pass%</strong>  <br /><br />Conservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers d''interventions et contrats sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Connectez-vous &agrave; votre espace priv&eacute;&quot;).<br /><br />Nous vous remercions encore de votre confiance.  <br /><br />L''administrateur du site <a href="http://%cge_web%">%cge_web%</a>' WHERE `smi_txt`.`txt_code`='CLI_CRE_XXX_CLI';
INSERT INTO `smi_txt` VALUES (121, '2007-04-16', 'Administrateur', '2007-04-16', 'Administrateur', 'DO_CRE_XXX_DO', '', 'DONNEUR ORDRES : Email envoy� vers le donneur d''ordres suite � création de son compte', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%do_code%</strong> <br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p>Conservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (122, '2007-04-16', 'Administrateur', '2007-04-16', 'Administrateur', 'DO_CRE_XXX_CDG', '', 'DONNEURS ORDRES : Email envoy� vers le CDG suite � création donneur d''ordres', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau donneur d''ordres (N&deg;<strong> %do_code% </strong>).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (123, '2007-04-16', 'Administrateur', '2007-04-16', 'Administrateur', 'DO_MDP_XXX_DO', '', 'DONNEUR ORDRES : Email envoy� vers le donneur suite � changement de MDP', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la mise &agrave;  jour de votre compte.  Voici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%do_code%</strong><br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (124, '2007-04-16', 'Administrateur', '2007-04-16', 'Administrateur', 'DO_MOD_XXX_CDG', '', 'DONNEUR ORDRES : Email envoy� vers le CDG suite � modification', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la modification du compte du donneur d''ordres N&deg;<strong> %do_code% </strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (125, '2007-04-17', 'Administrateur', '2007-04-18', 'Administrateur', 'INT_CRE_XXX_DO', '', 'INTERVENTION : Email envoy� vers donneur d''ordre suite � saisie intervention', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,<br />\r\n<br />\r\nNous vous confirmons la mise en place&nbsp; d''une nouvelle intervention N&deg;<strong> %int_code%</strong> (client %cli_code%).<br />\r\n<br />\r\nNous prendrons rapidement contact avec le client demandeur pour l''ex&eacute;cution de celle-ci.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (126, '2007-04-17', 'Administrateur', '2007-04-17', 'Administrateur', 'INT_CLOT_XXX_DO', '', 'INTERVENTION : Email envoy� vers un client si intervention close', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do% <br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A L''ATTENTION DE %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que le dossier d''intervention N&deg; <strong>%int_code%</strong> est clot.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civiliter1M_do%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (127, '2007-04-17', 'Administrateur', '2007-04-17', 'Administrateur', 'INT_CLOT2_XXX_CLI', '', 'INTERVENTION : Email envoy� vers un client si intervention close', '<p>%logo_do%<br />\r\n<strong>%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,</p>\r\n<p>&nbsp;</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que votre dossier d''intervention N&deg; <strong>%int_code%</strong> est clot.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service technique</p>', 0);
INSERT INTO `smi_txt` VALUES (128, '2007-04-17', 'Administrateur', '2007-04-17', 'Administrateur', 'INT_FAIT2_XXX_CLI', '', 'INTERVENTION : Email envoy� vers un client si intervention close', '<p>%logo_do%<br />\r\n<strong>%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli% <br />\r\nTel : %cli_telf%<br />\r\nFax : %cli_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,</p>\r\n<p>&nbsp;</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que votre dossier d''intervention N&deg; <strong>%int_code%</strong> est r&eacute;solu.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nSi vous ne l''avez pas d&eacute;j&agrave; fait, vous pouvez prendre contact avec nous, pour la livraison de votre mat&eacute;riel, ou simplement passer le r&eacute;cup&eacute;rer.  <br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civilite1M_cli%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe service technique</p>', 0);
INSERT INTO `smi_txt` VALUES (129, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE2_XXX_TEC', '', 'TECHNICIEN : Email envoy� vers le technicien suite � création de son compte', '<p>%logo_do%<br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%tec_civilite% %tec_prenom% %tec_nom%</strong><br />\r\n%tec_adr1%<br />\r\n%tec_adr2%<br />\r\n%cp_tec% %ville_tec%<br />\r\nTel : %tec_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>%civilite1M_tec%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%tec_code%</strong><br />\r\n<br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur le site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe Webmaster.</p>', 0);
INSERT INTO `smi_txt` VALUES (130, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE_XXX_DO', '', 'TECHNICIEN : Email envoy� vers le donneur d''ordres suite � création par autre qu''une agence', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,</p>\r\n<p><br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre soci&eacute;t&eacute;. <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (131, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC_XXX_DO', '', 'TECHNICIEN : Email envoy� vers un donneur d''ordres suite � licenciement d''un technicien', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%<br />\r\n</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,</p>\r\n<p><br />\r\nNous vous signalons le licenciement du technicien (N&deg;<em> <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong></em>) au sein de votre soci&eacute;t&eacute;.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (132, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_DEL_XXX_DO', '', 'TECHNICIEN : Email envoy� vers un donneur d''ordre suite � suppression', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%do_nom%</strong><br />\r\n%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre soci&eacute;t&eacute;.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (133, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE2_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � création', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de la soci&eacute;t&eacute; donneur d''ordres&nbsp; <strong>%tec_codedo%</strong>.  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (134, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC2_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � licenciement d''un technicien', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons le licenciement du technicien (N&deg; <strong>%tec_code%</strong>) au sein de la soci&eacute;t&eacute; donneur d''ordres <strong>%tec_codedo%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (135, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_DEL2_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � suppression', '<p>Bonjour,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de la soci&eacute;t&eacute; donneur d''ordres <strong>%tec_codedo%</strong>.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (136, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC2_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � licenciement d''un technicien', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons le licenciement du technicien (N&deg; <strong>%tec_code%</strong>) au sein de la soci&eacute;t&eacute; donneur d''ordres <strong>%tec_codedo%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (137, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'ST_CRE_XXX_ST', '', 'SS TRAITANT : Email envoy� vers le ss-traitant suite � création de son compte', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%st_code%</strong> <br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p>Conservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur notre site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (138, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'ST_CRE_XXX_CDG', '', 'SS TRAITANT : Email envoy� vers le CDG suite � création', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau sous-traitant (N&deg;<strong> %st_code% </strong>).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (139, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'ST_MOD_XXX_CDG', '', 'SS TRAITANT : Email envoy� vers le CDG suite � modification', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la modification du compte du sous-traitant N&deg;<strong> %st_code% </strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (140, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE3_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � création', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de la soci&eacute;t&eacute; sous-traitante <strong>%tec_codest%</strong>.  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (141, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE3_XXX_TEC', '', 'TECHNICIEN : Email envoy� vers le technicien suite � création de son compte', '<p>%logo_st%<br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%tec_civilite% %tec_prenom% %tec_nom%</strong><br />\r\n%tec_adr1%<br />\r\n%tec_adr2%<br />\r\n%cp_tec% %ville_tec%<br />\r\nTel : %tec_telf%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>%civilite1M_tec%,<br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%tec_code%</strong><br />\r\n<br />\r\nMot de passe          : <strong>%pass%</strong></blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers techniques sur le site <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).  <br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe Webmaster.</p>', 0);
INSERT INTO `smi_txt` VALUES (142, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_CRE_XXX_ST', '', 'TECHNICIEN : Email envoy� vers le donneur d''ordres suite � création par autre qu''une agence', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,</p>\r\n<p><br />\r\nNous vous signalons la cr&eacute;ation d''un nouveau compte technicien (N&deg; <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre soci&eacute;t&eacute;. <br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (143, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC_XXX_ST', '', 'TECHNICIEN : Email envoy� vers un sous-traitant suite � licenciement d''un technicien', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,</p>\r\n<p><br />\r\nNous vous signalons le licenciement du technicien (N&deg;<em> <strong>%tec_code%</strong>, <strong>%tec_civilite% %tec_prenom% %tec_nom%</strong></em>) au sein de votre soci&eacute;t&eacute;.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (144, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_LIC3_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � licenciement d''un technicien', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons le licenciement du technicien (N&deg; <strong>%tec_code%</strong>) au sein de la soci&eacute;t&eacute; sous-traitante <strong>%tec_codest%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (145, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_DEL_XXX_ST', '', 'TECHNICIEN : Email envoy� vers un sous-traitant suite � suppression', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de votre soci&eacute;t&eacute;.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>\r\n<p>Le centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (146, '2007-04-18', 'Administrateur', '2007-04-18', 'Administrateur', 'TEC_DEL3_XXX_CDG', '', 'TECHNICIEN : Email envoy� vers le CDG suite � suppression', '<p>Bonjour,</p>\r\n<p>Nous vous signalons la suppression d''un compte technicien (N&deg; <strong>%tec_code%, %tec_civilite% %tec_prenom% %tec_nom%</strong>) au sein de la soci&eacute;t&eacute; sous-traitante&nbsp; <strong>%tec_codest%</strong>.</p>\r\n<p>Bonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (147, '2007-04-18', 'Administrateur', '2007-04-20', 'Administrateur', 'OT_DEL_XXX_ST', '', 'ORDRE SS TRAINT : Email envoy� vers sous-traitant suite � annulation  intervention', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%St_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,<br />\r\n<br />\r\nNous vous signalons que le bon de travail N&deg;<strong> %ot_code%</strong> (client %cli_code%) a &eacute;t&eacute; annul&eacute;.</p>\r\n<p>Nous restons&nbsp; &agrave; votre disposition pour tout renseignement compl&eacute;mentaire.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (148, '2007-04-18', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_CRE_XXX_ST', '', 'ORDRE TRAVAIL : Email envoy� vers sous-traitant suite � saisie intervention', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%st_nom%</strong><br />\r\n%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %st_resp_civilite% %st_resp_prenom% %st_resp_nom%</strong></p>\r\n<p>%civiliter1M_st%,<br />\r\n<br />\r\nNous vous signalons la mise en place&nbsp; d''un nouvel ordre de travail (N&deg;<strong> %ot_code%</strong>).<br />\r\n<br />\r\nMerci de prendre rapidement contact avec l''agence :</p>\r\n<blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote>\r\n<p>Pour les modalit&eacute;s d''ex&eacute;cution.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (155, '2007-04-20', 'Administrateur', '2007-04-20', 'Administrateur', 'INT_DEL_XXX_AGE', '', 'INTERVENTION : Email envoy� vers une agence suite � suppression', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons l''annulation de l''intervention N&deg;<strong> %int_code%</strong> (client %cli_code%).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (149, '2007-04-19', 'Administrateur', '2007-04-20', 'Administrateur', 'OT_CRE_XXX_CDG', '', 'ORDRE SS TRAITANT : Email envoy� vers le CDG suite � demande', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons la saisie d''''un nouvel ordre de sous-traitance N&deg;<strong> %ot_code%</strong> vers le sous-traitant <strong>%ot_codest%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (150, '2007-04-19', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_CRE_XXX_AGE', '', 'ORDRE SS TRAITANCE : Email envoy� vers une agence suite � saisie intervention', '<p>%logo_cge%<br />\r\n%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote>\r\n<p><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age%<br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</p>\r\n</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;&nbsp;</p>\r\n<p><strong>A l''attention de %age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,<br />\r\n<br />\r\nNous vous signalons la saisie d''un nouvel ordre de sous-traitance (N&deg;<strong> %ot_code%</strong>, sous-traitan <strong>%ot_codest%</strong>), pour client <strong>%cli_code%</strong>.<br />\r\n<br />\r\nVous pouvez prendre contact avec le sous-traitant pour les modalit&eacute;s d''ex&eacute;cution.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (151, '2007-04-19', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_FAIT_XXX_AGE', '', 'ORDRE TRAVAIL : Email envoy� vers une agence si ordre termin�', '<p>%logo_st%<br />\r\n<strong>%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age% <br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>A l''attention de <strong>%age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong></p>\r\n<p>%civiliter1M_age%,</p>\r\n<p>&nbsp;</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que votre ordre de travail <strong>N&deg; %ot_code%</strong> a &eacute;t&eacute; effectu&eacute;.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur le site <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nSi vous ne l''avez pas d&eacute;j&agrave; fait, vous pouvez prendre contact avec le sous-traitant <strong>%st_nom%</strong> (<em>horaires : %st_heures%</em>), au <strong>%st_telf%</strong>. <br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civiliter1M_age%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe sous-traitant.</p>', 0);
INSERT INTO `smi_txt` VALUES (152, '2007-04-19', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_FAIT_XXX_CDG', '', 'ORDRE TRAVAIL : Email envoy� vers le CDG si ordre ex�cut�', '<p>Bonjour,<br />\r\n<br />\r\nL''ordre de travail N&deg; <strong>%ot_code%</strong> a &eacute;t&eacute; ex&eacute;cut&eacute; par le sous-traitant <strong>%ot_codest%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (153, '2007-04-19', 'Administrateur', '2007-04-20', 'Administrateur', 'OT_CLOT_XXX_AGE', '', 'ORDRE TRAVAIL : Email envoy� vers une agence si ordre cl�t', '<p>%logo_st%<br />\r\n<strong>%st_adr1%<br />\r\n%st_adr2%<br />\r\n%cp_st% %ville_st%<br />\r\nTel : %st_telf%<br />\r\nFax : %st_fax%</strong></p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<p>&nbsp;</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%age_nom%</strong><br />\r\n%age_adr1%<br />\r\n%age_adr2%<br />\r\n%cp_age% %ville_age% <br />\r\nTel : %age_telf%<br />\r\nFax : %age_fax%</blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p>A l''attention de <strong>%age_resp_civilite% %age_resp_prenom% %age_resp_nom%</strong><br />\r\n<br />\r\n%civiliter1M_age%,</p>\r\n<p>&nbsp;</p>\r\n<p>C''est avec plaisir que nous vous annon&ccedil;ons que l''ordre de travail (N&deg; <strong>%ot_code%</strong> est cl&ocirc;t.  <br />\r\n<br />\r\nVous pouvez en obtenir le d&eacute;tail sur notre site :  <a href="http://%cge_web%">%cge_web%</a>  .<br />\r\n<br />\r\nNous vous souhaitons une excellente fin de journ&eacute;e et vous prions d''agr&eacute;er, %civiliter1M_age%,&nbsp; l''expression de nos sentiments les plus d&eacute;vou&eacute;s.  <br />\r\n<br />\r\nLe sous-traitant</p>', 0);
INSERT INTO `smi_txt` VALUES (154, '2007-04-19', 'Administrateur', '2007-04-19', 'Administrateur', 'OT_CLOT_XXX_CDG', '', 'ORDRE TRAVAIL : Email envoy� vers le CDG si ordre cl�t', '<p>Bonjour,<br />\r\n<br />\r\nL''ordre de travail N&deg; <strong>%ot_code%</strong> a &eacute;t&eacute; cl&ocirc;t par le sous-traitant <strong>%ot_codest%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (156, '2007-04-20', 'Administrateur', '2007-04-20', 'Administrateur', 'INT_DEL_XXX_CDG', '', 'INTERVENTION : Email envoy� vers le CDG suite � suppression', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons l''annulation de l''intervention N&deg;<strong> %int_code%</strong>.<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (157, '2007-04-20', 'Administrateur', '2007-04-20', 'Administrateur', 'OT_DEL_XXX_CDG', '', 'ORDRE SS TRAITANT : Email envoy� vers le CDG suite � annulation', '<p>Bonjour,<br />\r\n<br />\r\nNous vous signalons l''annualtion de l''ordre de sous-traitance N&deg;<strong> %ot_code%</strong> (sous-traitant <strong>%ot_codest%</strong>).<br />\r\n<br />\r\nBonne fin de journ&eacute;e.</p>', 0);
INSERT INTO `smi_txt` VALUES (159, '2007-04-27', 'Administrateur', '2007-04-27', 'Administrateur', 'CLI_CRE_XXX_DO', '', 'CLIENT : Email envoy� vers le donneur d''ordres suite � création du compte client', '<p>%logo_cge%<br />\r\n<strong>%cge_adr1%<br />\r\n%cge_adr2%<br />\r\n%cp_cge% %ville_cge%<br />\r\nTel : %cge_telf%<br />\r\nFax : %cge_fax%</strong><br />\r\n</p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%do_nom%</strong><br />\r\n<strong>%do_adr1%</strong><br />\r\n<strong> %do_adr2%</strong><br />\r\n<strong> %cp_do% %ville_do% </strong><br />\r\n<strong> Tel : %do_telf%</strong><br />\r\n<strong> Fax : %do_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p>&nbsp;</p>\r\n<p><strong>A l''attention de </strong> <strong> %do_resp_civilite% %do_resp_prenom% %do_resp_nom%</strong></p>\r\n<p>%civiliter1M_do%,  <br />\r\n<br />\r\nNous vous confirmons la cr&eacute;ation du compte pour le client :</p>\r\n<blockquote><strong>%cli_ste%</strong><br />\r\n%cli_nom%<br />\r\n%cli_adr1%<br />\r\n%cli_adr2%<br />\r\n%cp_cli% %ville_cli%</blockquote>\r\n<p>Ses codes de connexions &agrave; notre intranet lui ont &eacute;t&eacute; transmis.<br />\r\n<br />\r\nNous vous remercions encore de votre confiance.  <br />\r\n<br />\r\nLe centre de gestion</p>', 0);
INSERT INTO `smi_txt` VALUES (158, '2007-04-27', 'Administrateur', '2007-04-27', 'Administrateur', 'CLI_CRE2_XXX_CLI', '', 'CLIENT : Email envoy� vers le client suite � création de son compte', '<p>%logo_do%<br />\r\n<strong>%do_adr1%<br />\r\n%do_adr2%<br />\r\n%cp_do% %ville_do%<br />\r\nTel : %do_telf%<br />\r\nFax : %do_fax%</strong></p>\r\n<blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><blockquote><strong>%cli_ste%</strong><br />\r\n<strong> %cli_civilite% %cli_prenom% %cli_nom%</strong><br />\r\n<strong> %cli_adr1%</strong><br />\r\n<strong> %cli_adr2%</strong><br />\r\n<strong> %cp_cli% %ville_cli% </strong><br />\r\n<strong> Tel : %cli_telf%</strong><br />\r\n<strong> Fax : %cli_fax%</strong></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote></blockquote>\r\n<p><br />\r\n%civilite1M_cli%,  <br />\r\n<br />\r\nC''est avec plaisir que nous vous confirmons la cr&eacute;ation de votre compte.  <br />\r\n<br />\r\nVoici vos codes de connexion et mot de passe :</p>\r\n<blockquote>Code de connexion : <strong>%cli_code%</strong> <br />\r\nMot de passe          : <strong>%pass%</strong>  </blockquote>\r\n<p><br />\r\nConservez pr&eacute;cieusement ces informations pour pouvoir vous connecter et suivre vos dossiers d''interventions sur le site de notre partenaire <a href="http://%cge_web%">%cge_web%</a> (menu &quot;Espace priv&eacute;&quot;).<br />\r\n<br />\r\nNous vous remercions encore de votre confiance.  <br />\r\n<br />\r\nLe service technique</p>', 0);


#
# Table structure for table `smi_ccli`
#

ALTER TABLE `smi_ccli` CHANGE `ccli_func` `ccli_codefonc` VARCHAR( 5 ) NULL DEFAULT '' ;
ALTER TABLE `smi_ccli` ADD INDEX (`ccli_codefonc`) ;

#
# Table structure for table `smi_fonc`
#

CREATE TABLE `smi_fonc` (
  `fonc_id` int(10) unsigned NOT NULL auto_increment,
  `fonc_code` varchar(5) NOT NULL,
  `fonc_desc` varchar(50) NOT NULL,
  `fonc_delok` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`fonc_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 AUTO_INCREMENT=19 ;

#
# Dumping data for table `smi_fonc`
#


INSERT INTO `smi_fonc` VALUES (1, 'GER', 'GERANT', 0);
INSERT INTO `smi_fonc` VALUES (2, 'PDG', 'P.D.G.', 0);
INSERT INTO `smi_fonc` VALUES (3, 'RACH', 'RESPONSABLE ACHATS', 1);
INSERT INTO `smi_fonc` VALUES (4, 'RTEC', 'RESPONSABLE TECHNIQUE', 1);
INSERT INTO `smi_fonc` VALUES (5, 'RCLI', 'RESPONSABLE CLIENTS', 1);
INSERT INTO `smi_fonc` VALUES (6, 'RFOU', 'RESPONSABLE FOURNISSEURS', 1);
INSERT INTO `smi_fonc` VALUES (7, 'CIAL', 'COMMERCIAL', 1);
INSERT INTO `smi_fonc` VALUES (8, 'TEC', 'TECHNICIEN', 1);
INSERT INTO `smi_fonc` VALUES (9, 'DIR', 'DIRECTEUR', 1);
INSERT INTO `smi_fonc` VALUES (10, 'RSITE', 'RESPONSABLE DE SITE', 1);
INSERT INTO `smi_fonc` VALUES (11, 'CPTA', 'COMPTABLE', 1);
INSERT INTO `smi_fonc` VALUES (12, 'RCCLI', 'RESPONSABLE COMPTABILITE CLIENTS', 1);
INSERT INTO `smi_fonc` VALUES (13, 'RCFOU', 'RESPONSABLE COMPTABILITE FOURNISSEURS', 1);
INSERT INTO `smi_fonc` VALUES (14, 'RCIAL', 'RESPONSABLE COMMERCIAL', 1);
INSERT INTO `smi_fonc` VALUES (15, 'DG', 'DIRECTEUR GENERAL', 1);
INSERT INTO `smi_fonc` VALUES (16, 'DF', 'DIRECTEUR FINANCIER', 1);
INSERT INTO `smi_fonc` VALUES (17, 'DRH', 'DIRECTEUR RESSOURCES HUMAINES', 1);
INSERT INTO `smi_fonc` VALUES (18, 'DA', 'DIRECTEUR ACHATS', 1);

#
# Table structure for table `smi_cmque`
#

CREATE TABLE `smi_cmque` (
  `cmque_id` int(10) unsigned NOT NULL auto_increment,
  `cmque_codemque` varchar(20) NOT NULL,
  `cmque_codefonc` varchar(5) default NULL,
  `cmque_civilite` varchar(5) NOT NULL,
  `cmque_prenom` varchar(50) NOT NULL,
  `cmque_nom` varchar(50) NOT NULL,
  `cmque_telf` varchar(20) NOT NULL,
  `cmque_fax` varchar(20) NOT NULL,
  `cmque_telp` varchar(20) NOT NULL,
  `cmque_email` varchar(50) default NULL,
  `cmque_mess` varchar(50) default NULL,
  `cmque_notaa` text,
  `cmque_notat` text,
  `cmque_prop` varchar(20) NOT NULL default '*',
  PRIMARY KEY  (`cmque_id`),
  KEY `cmque_codemque` (`cmque_codemque`),
  KEY `cmque_civilite` (`cmque_civilite`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0 COMMENT='Contacts marques' ;

#
# Dumping data for table `smi_cmque`
#

#
# Table structure for table `smi_cmquen`
#

CREATE TABLE `smi_cmquen` (
  `cmquen_id` int(10) NOT NULL auto_increment,
  `cmquen_idcmque` int(10) NOT NULL,
  `cmquen_codeu` varchar(20) collate latin1_general_ci NOT NULL,
  `cmquen_nota` text collate latin1_general_ci,
  PRIMARY KEY  (`cmquen_id`),
  KEY `mquen_codeu` (`cmquen_codeu`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci ;

#
# Dumping data for table `smi_cmquen`
#

#
# Table structure for table `smi_wmque`
#

CREATE TABLE `smi_wmque` (
  `wmque_id` int(10) unsigned NOT NULL auto_increment,
  `wmque_codemque` varchar(20) NOT NULL,
  `wmque_desc` varchar(50) NOT NULL,
  `wmque_lien` varchar(200) NOT NULL,
  `wmque_login` varchar(40) default NULL,
  `wmque_mdp` varchar(40) default NULL,
  `wmque_notaa` text,
  `wmque_notat` text,
  `wmque_prop` varchar(20) NOT NULL default '*',
  PRIMARY KEY  (`wmque_id`),
  KEY `wmque_codemque` (`wmque_codemque`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;

#
# Table structure for table `smi_wmquen`
#

CREATE TABLE `smi_wmquen` (
  `wmquen_id` int(10) NOT NULL auto_increment,
  `wmquen_idwmque` int(10) NOT NULL,
  `wmquen_codeu` varchar(20) collate latin1_general_ci NOT NULL,
  `wmquen_nota` text collate latin1_general_ci,
  PRIMARY KEY  (`wmquen_id`),
  KEY `wmquen_codeu` (`wmquen_codeu`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;

#
# Table structure for table `smi_cons`
#

ALTER TABLE `smi_cons` ADD `cons_rord` VARCHAR( 10 ) NOT NULL ;
ALTER TABLE `smi_cons` ADD `cons_nord` INT( 10 ) NOT NULL default '0';
UPDATE `smi_cons` SET `cons_rord` = 'OT06' WHERE `smi_cons`.`cons_id` =1 LIMIT 1 ;

#
# Table structure for table `smi_scli`
#

ALTER TABLE `smi_scli` CHANGE `scli_rfunc` `scli_rcodefonc` VARCHAR( 5 ) CHARACTER SET latin1 COLLATE latin1_swedish_ci NOT NULL ;

#
# Table structure for table `smi_int`
#

ALTER TABLE `smi_int` ADD `int_codedo` VARCHAR( 10 ) NOT NULL DEFAULT '' AFTER `int_codeage` ;
ALTER TABLE `smi_int` DROP `int_datett` ;
ALTER TABLE `smi_int` DROP `int_heurea` ;
ALTER TABLE `smi_int` DROP `int_heuref` ;

#
# Table structure for table `smi_tec`
#

ALTER TABLE `smi_tec` ADD `tec_codedo` VARCHAR( 10 ) NOT NULL DEFAULT '' AFTER `tec_codeage` ;
ALTER TABLE `smi_tec` ADD `tec_codest` VARCHAR( 10 ) NOT NULL AFTER `tec_codedo` ;

#
# Table structure for table `smi_pw`
#

ALTER TABLE `smi_pw` CHANGE `pw_level` `pw_level` TINYINT( 2 ) NOT NULL DEFAULT '0'

#
# Table structure for table `smi_do`
#

CREATE TABLE `smi_do` (
  `do_id` int(10) unsigned NOT NULL auto_increment,
  `do_datecrea` date NOT NULL default '0000-00-00',
  `do_codecrea` varchar(20) NOT NULL,
  `do_datemod` date NOT NULL default '0000-00-00',
  `do_codemod` varchar(20) NOT NULL,
  `do_code` varchar(10) NOT NULL,
  `do_pass` varchar(40) NOT NULL,
  `do_nom` varchar(50) NOT NULL,
  `do_rcs` varchar(50) NOT NULL,
  `do_tcom` varchar(70) NOT NULL,
  `do_adr1` varchar(50) NOT NULL,
  `do_adr2` varchar(50) default NULL,
  `do_dep` varchar(30) NOT NULL,
  `do_ville` int(10) NOT NULL,
  `do_codepays` char(3) NOT NULL,
  `do_telf` varchar(20) NOT NULL,
  `do_txttelf` varchar(100) default NULL,
  `do_fax` varchar(20) default NULL,
  `do_txtfax` varchar(100) default NULL,
  `do_txtent` text,
  `do_resp_civilite` varchar(5) NOT NULL,
  `do_resp_prenom` varchar(50) NOT NULL,
  `do_resp_nom` varchar(50) NOT NULL,
  `do_resp_telf` varchar(20) NOT NULL,
  `do_email` varchar(50) NOT NULL,
  `do_emaild` varchar(50) NOT NULL,
  `do_emailc` varchar(50) NOT NULL,
  `do_emailt` varchar(50) NOT NULL,
  `do_heures` varchar(200) default NULL,
  `do_web` varchar(200) default NULL,
  `do_nota` text,
  `do_fact` tinyint(1) NOT NULL default '0',
  `do_ouvert` tinyint(1) NOT NULL default '1',
  `do_datec` date default NULL,
  PRIMARY KEY  (`do_id`),
  KEY `do_code` (`do_code`),
  KEY `do_resp_civilite` (`do_resp_civilite`),
  KEY `do_nom` (`do_nom`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;

#
# Table structure for table `smi_st`
#

CREATE TABLE `smi_st` (
  `st_id` int(10) unsigned NOT NULL auto_increment,
  `st_datecrea` date NOT NULL default '0000-00-00',
  `st_codecrea` varchar(20) NOT NULL,
  `st_datemod` date NOT NULL default '0000-00-00',
  `st_codemod` varchar(20) NOT NULL,
  `st_code` varchar(10) NOT NULL,
  `st_pass` varchar(40) NOT NULL,
  `st_nom` varchar(50) NOT NULL,
  `st_rcs` varchar(50) NOT NULL,
  `st_tcom` varchar(70) NOT NULL,
  `st_adr1` varchar(50) NOT NULL,
  `st_adr2` varchar(50) default NULL,
  `st_dep` varchar(30) NOT NULL,
  `st_ville` int(10) NOT NULL,
  `st_codepays` char(3) NOT NULL,
  `st_zone` text default NULL default NULL,
  `st_telf` varchar(20) NOT NULL,
  `st_txttelf` varchar(100) default NULL,
  `st_fax` varchar(20) default NULL,
  `st_txtfax` varchar(100) default NULL,
  `st_txtent` text,
  `st_resp_civilite` varchar(5) NOT NULL,
  `st_resp_prenom` varchar(50) NOT NULL,
  `st_resp_nom` varchar(50) NOT NULL,
  `st_resp_telf` varchar(20) NOT NULL,
  `st_email` varchar(50) NOT NULL,
  `st_emaild` varchar(50) NOT NULL,
  `st_emailc` varchar(50) NOT NULL,
  `st_emailt` varchar(50) NOT NULL,
  `st_heures` varchar(200) default NULL,
  `st_web` varchar(200) default NULL,
  `st_nota` text,
  `st_fact` tinyint(1) NOT NULL default '0',
  `st_ouvert` tinyint(1) NOT NULL default '1',
  `st_datec` date default NULL,
  `st_spe` text default NULL default NULL,
  PRIMARY KEY  (`st_id`),
  KEY `st_code` (`st_code`),
  KEY `st_resp_civilite` (`st_resp_civilite`),
  KEY `st_nom` (`st_nom`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;

#
# Table structure for table `smi_ot`
#

CREATE TABLE `smi_ot` (
  `ot_id` int(10) unsigned NOT NULL auto_increment,
  `ot_datecrea` date NOT NULL default '0000-00-00',
  `ot_codecrea` varchar(20) NOT NULL,
  `ot_datemod` date NOT NULL default '0000-00-00',
  `ot_codemod` varchar(20) NOT NULL,
  `ot_datedde` date NOT NULL default '0000-00-00',
  `ot_code` varchar(20) NOT NULL,
  `ot_codeint` varchar(20) NOT NULL,
  `ot_codest` varchar(10) NOT NULL,
  `ot_codestatut` varchar(5) NOT NULL,
  `ot_codelieu` varchar(5) NOT NULL,
  `ot_urg` tinyint(1) unsigned NOT NULL default '0',
  `ot_daterdv` date NOT NULL default '0000-00-00',
  `ot_hrdv` time NOT NULL default '00:00:00',
  `ot_mat` text NOT NULL,
  `ot_pbm` text NOT NULL,
  `ot_gar` tinyint(1) NOT NULL default '0',
  `ot_fgar` varchar(30) NOT NULL,
  `ot_codetec` varchar(20) NOT NULL,
  `ot_durees` int(10) NOT NULL default '0',
  `ot_fait` text,
  `ot_dateprev` date NOT NULL default '0000-00-00',
  `ot_datefin` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`ot_id`),
  KEY `int_code` (`ot_code`),
  KEY `int_codestatut` (`ot_codestatut`),
  KEY `int_codelieu` (`ot_codelieu`),
  KEY `int_codetec` (`ot_codetec`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;


#
# Table structure for table `smi_oth`
#

CREATE TABLE `smi_oth` (
  `oth_id` int(10) NOT NULL auto_increment,
  `oth_datecrea` date NOT NULL default '0000-00-00',
  `oth_codecrea` varchar(20) NOT NULL,
  `oth_datemod` date NOT NULL default '0000-00-00',
  `oth_codemod` varchar(20) NOT NULL,
  `oth_codeot` varchar(20) NOT NULL,
  `oth_date` date NOT NULL default '0000-00-00',
  `oth_codetec` varchar(20) NOT NULL,
  `oth_codelieu` varchar(5) NOT NULL,
  `oth_heurea` time NOT NULL default '00:00:00',
  `oth_heured` time NOT NULL default '00:00:00',
  `oth_offert` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`oth_id`),
  KEY `oth_codecrea` (`oth_codecrea`),
  KEY `oth_codeot` (`oth_codeot`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;

#
# Table structure for table `smi_inth`
#

ALTER TABLE `smi_inth` DROP INDEX `fic_codecrea` ;
ALTER TABLE `smi_inth` ADD INDEX `inth_codecrea` ( `inth_codecrea` ) ;


#
# Table structure for table `smi_dded`
#

ALTER TABLE `smi_dded` ADD `dded_stt` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `dded_cge` ;
ALTER TABLE `smi_dded` ADD `dded_st` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `dded_stt` ;
ALTER TABLE `smi_dded` ADD `dded_dot` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `dded_st` ;
ALTER TABLE `smi_dded` ADD `dded_do` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `dded_dot` ;

#
# Table structure for table `smi_ddet`
#

ALTER TABLE `smi_ddet` ADD `ddet_stt` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `ddet_cge` ;
ALTER TABLE `smi_ddet` ADD `ddet_st` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `ddet_stt` ;
ALTER TABLE `smi_ddet` ADD `ddet_dot` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `ddet_st` ;
ALTER TABLE `smi_ddet` ADD `ddet_do` TINYINT( 1 ) NOT NULL DEFAULT '0' AFTER `ddet_dot` ;

#
# Table structure for table `smi_ddec`
#

INSERT INTO `smi_ddec` ( `ddec_id` , `ddec_code` , `ddec_desc` , `ddec_delok` , `ddec_pub` )
VALUES (NULL , 'DOT', 'TECHNICIEN DONNEUR D''ORDRES', '0', '0'), (NULL , 'DO', 'DONNEUR D''ORDRES', '0', '0');
INSERT INTO `smi_ddec` ( `ddec_id` , `ddec_code` ,`ddec_desc` , `ddec_delok` , `ddec_pub` ) VALUES (NULL , 'STT', 'TECHNICIEN SOUS-TRAITANT', '0', '0'), (NULL , 'ST', 'SOUS-TRAITANT', '0', '0');

#
# Table structure for table `smi_sp`
#

CREATE TABLE `smi_sp` (
  `sp_id` int(10) unsigned NOT NULL auto_increment,
  `sp_code` varchar(5) NOT NULL,
  `sp_desc` varchar(50) NOT NULL,
  `sp_delok` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`sp_id`),
  KEY `sp_desc` (`sp_desc`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 PACK_KEYS=0 ;

#
# Table structure for table `smi_zcc`
#

CREATE TABLE `smi_zcc` (
  `zcc_id` int(10) unsigned NOT NULL auto_increment,
  `zcc_code` varchar(10) character set latin1 NOT NULL,
  `zcc_codepays` char(3) character set latin1 NOT NULL,
  `zcc_codedep` varchar(30) character set latin1 NOT NULL,
  PRIMARY KEY  (`zcc_id`),
  KEY `spc_code` (`zcc_code`),
  KEY `spc_codepays` (`zcc_codepays`),
  KEY `spc_codedep` (`zcc_codedep`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

#
# Table structure for table `smi_zoc`
#

CREATE TABLE `smi_zoc` (
  `zoc_id` int(10) unsigned NOT NULL auto_increment,
  `zoc_code` varchar(10) character set latin1 NOT NULL,
  `zoc_codepays` char(3) character set latin1 NOT NULL,
  `zoc_codedep` varchar(30) character set latin1 NOT NULL,
  PRIMARY KEY  (`zoc_id`),
  KEY `spc_code` (`zoc_code`),
  KEY `spc_codepays` (`zoc_codepays`),
  KEY `spc_codedep` (`zoc_codedep`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 COLLATE=latin1_general_ci;

#
# Table structure for table `smi_pdtu`
#

DROP TABLE IF EXISTS `smi_pdtu`;
CREATE TABLE IF NOT EXISTS `smi_pdtu` (
  `pdtu_id` tinyint(3) unsigned NOT NULL auto_increment,
  `pdtu_code` varchar(5) NOT NULL,
  `pdtu_desc` varchar(50) NOT NULL,
  `pdtu_abr` varchar(3) NOT NULL,
  `pdtu_del` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`pdtu_id`),
  KEY `pdtu_code` (`pdtu_code`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 PACK_KEYS=0;

#
# Dumping data for table `smi_pdtu`
#

INSERT INTO `smi_pdtu` VALUES ( NULL , 'TEMPS', 'TEMPS PASSE', 'h', '0');
INSERT INTO `smi_pdtu` VALUES (  NULL , 'UNITE', 'UNITE', 'u.', '0');
